# Journal de bord du Mooc / Mooc's logbook

**25/04/2020**

J'ai installé Git sur mon ordinateur comme indiqué dans le [module 2.7](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/2419fd0fb6a0484988ca9d65497dcaaf/)
J'ai ensuite réalisé la [configuration de Git](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/2419fd0fb6a0484988ca9d65497dcaaf/2?activate_block_id=block-v1%3Ainria%2B41016%2Bself-paced%2Btype%40vertical%2Bblock%407508aece244548349424dfd61ee3ba85)

Dans Git CMD, les étapes étaient les suivantes :


1.  Définir un nom d'utilisateur et un email dans Git :

`git config --global user.name "Mary-Lorène Goddard"`

`git config --global user.email "emary-lorene.goddard@uha.fr"`


2.  Identifiants et mot de passe

Après avoir récupéré mon identifiant et mon mdp, ja'i modifié ce dernier dans mes settings de [Gitlab](https://app-learninglab.inria.fr/moocrr/gitlab/a6af2e8e18f2d5a9a9c52f036bbcca79/mooc-rr/)
Je les ai ensuite enregistrer localement dans Git CMD :

`git config --global credential.helper cache`

`git config credential.helper store`


Cela n'a pas fonctionné, j'ai donc utilisé la commande :
`git config --global --unset credential.helper`
qui a fonctionné

3.  Synchronisation des fichiers locaux avec Gitlab

Après avoir copier l'URL de mon environnement Gitlab, j'ai réalisé le clonage dans Git CMD :

` git clone https://app-learninglab.inria.fr/moocrr/gitlab/a6af2e8e18f2d5a9a9c52f036bbcca79/mooc-rr.git`

Un répertoire mooc-rr a été créé sur mon ordinateur C:\Users\mary-\mooc-rr

La commabde pour inspecter ce répertoire :

`cd mooc-rr`

`dir #`

Pour synchroniser avec GitLab, je dois :

*  indiquer les fichiers à suivre `git add nomdufichier.extension`
*  les valider localement `git commit -m "message commit"`
*  avant de pouvoir les transférer  à GitLab `git push`
*  `git status`  indique si les fichiers sont suivis/modifiés/commités/…

rm : si enre-temps il y a eu d'autres modifications, le transfert ne sera pas possible. Pour celà appliquer d'abord la commande `git pull`



**26/04/2020**

Je commence aujourd'hui le journal de bord pour le suivi du mooc [recherche reproductible](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/)

